local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local __TS__DecorateLegacy = ____lualib.__TS__DecorateLegacy
local ____exports = {}
local ____cachedClasses = require("core.cachedClasses")
local game = ____cachedClasses.game
local ____decorators = require("decorators")
local Exported = ____decorators.Exported
local ____ModCallbackCustom = require("enums.ModCallbackCustom")
local ModCallbackCustom = ____ModCallbackCustom.ModCallbackCustom
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
local INSTANT_FADE_IN_SPEED = 1
____exports.FadeInRemover = __TS__Class()
local FadeInRemover = ____exports.FadeInRemover
FadeInRemover.name = "FadeInRemover"
__TS__ClassExtends(FadeInRemover, Feature)
function FadeInRemover.prototype.____constructor(self)
    Feature.prototype.____constructor(self)
    self.enabled = false
    self.postGameStartedReordered = function()
        if self.enabled then
            game:Fadein(INSTANT_FADE_IN_SPEED)
        end
    end
    self.customCallbacksUsed = {{ModCallbackCustom.POST_GAME_STARTED_REORDERED, self.postGameStartedReordered, {nil}}}
end
function FadeInRemover.prototype.removeFadeIn(self)
    self.enabled = true
end
__TS__DecorateLegacy({Exported}, FadeInRemover.prototype, "removeFadeIn", true)
function FadeInRemover.prototype.restoreFadeIn(self)
    self.enabled = false
end
__TS__DecorateLegacy({Exported}, FadeInRemover.prototype, "restoreFadeIn", true)
return ____exports
